<?php

namespace App\EntityList;

/**
 * The class can manage and export a list of systems from imported orders.
 * @author Gabriel
 */
class ImportedOrders extends \App\EntityList\GeneralAbstract
{

	/**
	 * (non-PHPdoc)
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTImportedOrders_orders, $DBTImportedOrders_ordersData, $DBTImportedOrders_services;
		$this->setMainTable($DBTImportedOrders_orders, 'importedOrder');
		$this->addAllowedTable($DBTImportedOrders_ordersData, 'importedOrderData', '`importedOrderData`.`id`=`importedOrder`.`id`', 'INNER');
		$this->addAllowedTable($DBTImportedOrders_services, 'importedService', '`importedService`.`idImportedOrder`=`importedOrder`.`id`', 'LEFT');
	}

	/**
	 * Disable the "deleted=0" filter
	 * @see \App\EntityList\GeneralAbstract::setDefaultFilters()
	 */
	public function setDefaultFilters(): void
	{
	}
}

